/* -------------------------------- 

File#: _1_menu
Title: Menu
Descr: Application menu that provides access to a set of functionalities
Usage: codyhouse.co/license

-------------------------------- */
/* reset */
*, *::after, *::before {
  box-sizing: border-box;
}

* {
  font: inherit;
  margin: 0;
  padding: 0;
  border: 0;
}

body {
  background-color: hsl(0, 0%, 100%);
  font-family: system-ui, sans-serif;
  color: hsl(230, 7%, 23%);
  font-size: 1rem;
}

h1, h2, h3, h4 {
  line-height: 1.2;
  color: hsl(230, 13%, 9%);
  font-weight: 700;
}

h1 {
  font-size: 2.0736rem;
}

h2 {
  font-size: 1.728rem;
}

h3 {
  font-size: 1.25rem;
}

h4 {
  font-size: 1.2rem;
}

ol, ul, menu {
  list-style: none;
}

button, input, textarea, select {
  background-color: transparent;
  border-radius: 0;
  color: inherit;
  line-height: inherit;
  appearance: none;
}

textarea {
  resize: vertical;
  overflow: auto;
  vertical-align: top;
}



table {
  border-collapse: collapse;
  border-spacing: 0;
}

img, video, svg {
  display: block;
  max-width: 100%;
}

@media (min-width: 64rem) {
  body {
    font-size: 1.25rem;
  }

  h1 {
    font-size: 3.051rem;
  }

    h2 {
    font-size: 2.44rem;
  }

    h3 {
    font-size: 1.75rem;
  }

    h4 {
    font-size: 1.5625rem;
  }
}

/* variables */
:root {
  /* colors */
  --mw1-color-primary-hsl: 250, 84%, 54%;
  --mw1-color-bg-hsl: 0, 0%, 100%;
  --mw1-color-contrast-high-hsl: 230, 7%, 23%;
  --mw1-color-contrast-higher-hsl: 230, 13%, 9%;
  --mw1-color-contrast-lower-hsl: 240, 4%, 85%;
  --mw1-color-contrast-medium-hsl: 225, 4%, 47%;
  --mw1-color-bg-light-hsl: 0, 0%, 100%;
  --mw1-color-bg-dark-hsl: 240, 4%, 95%;
  --mw1-color-white-hsl: 0, 0%, 100%;
  --mw1-color-primary-darker-hsl: 250, 84%, 38%;
  --mw1-color-primary-light-hsl: 250, 84%, 60%;

  /* spacing */
  --mw1-space-3xs: 0.25rem;
  --mw1-space-2xs: 0.375rem;
  --mw1-space-xs: 0.5rem;
  --mw1-space-sm: 0.75rem;

  /* typography */
  --mw1-text-sm: 0.833rem;
}

@media(min-width: 64rem){
  :root {
    /* spacing */
    --mw1-space-3xs: 0.375rem;
    --mw1-space-2xs: 0.5625rem;
    --mw1-space-xs: 0.75rem;
    --mw1-space-sm: 1.125rem;

    /* typography */
    --mw1-text-sm: 1rem;
  }
}

/* buttons */
.mw1-btn {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  font-size: 1em;
  white-space: nowrap;
  text-decoration: none;
  background: hsl(var(--mw1-color-bg-dark-hsl));
  color: hsl(var(--mw1-color-contrast-higher-hsl));
  cursor: pointer;
  text-decoration: none;
  line-height: 1.2;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  transition: all 0.2s ease;
  will-change: transform;
  padding: var(--mw1-space-2xs) var(--mw1-space-sm);
  border-radius: 0.25em;
}

.mw1-btn:focus-visible {
  box-shadow: 0px 0px 0px 2px hsl(var(--mw1-color-bg-hsl)), 0px 0px 0px 4px hsla(var(--mw1-color-contrast-higher-hsl), 0.15);
  outline: none;
}

.mw1-btn:active {
  transform: translateY(2px);
}

.mw1-btn--primary {
  background: hsl(var(--mw1-color-primary-hsl));
  color: hsl(var(--mw1-color-white-hsl));
  box-shadow: inset 0px 1px 0px hsla(var(--mw1-color-white-hsl), 0.15), 0px 1px 3px hsla(var(--mw1-color-primary-darker-hsl), 0.25), 0px 2px 6px hsla(var(--mw1-color-primary-darker-hsl), 0.1), 0px 6px 10px -2px hsla(var(--mw1-color-primary-darker-hsl), 0.25);
}

.mw1-btn--primary:hover {
  background: hsl(var(--mw1-color-primary-light-hsl));
  box-shadow: inset 0px 1px 0px hsla(var(--mw1-color-white-hsl), 0.15), 0px 1px 2px hsla(var(--mw1-color-primary-darker-hsl), 0.25), 0px 1px 4px hsla(var(--mw1-color-primary-darker-hsl), 0.1), 0px 3px 6px -2px hsla(var(--mw1-color-primary-darker-hsl), 0.25);
}

.mw1-btn--primary:focus {
  box-shadow: inset 0px 1px 0px hsla(var(--mw1-color-white-hsl), 0.15), 0px 1px 2px hsla(var(--mw1-color-primary-darker-hsl), 0.25), 0px 1px 4px hsla(var(--mw1-color-primary-darker-hsl), 0.1), 0px 3px 6px -2px hsla(var(--mw1-color-primary-darker-hsl), 0.25), 0px 0px 0px 2px hsl(var(--mw1-color-bg-hsl)), 0px 0px 0px 4px hsl(var(--mw1-color-primary-hsl));
}

/* icons */
.mw1-icon {
  height: var(--mw1-size, 1em);
  width: var(--mw1-size, 1em);
  display: inline-block;
  color: inherit;
  fill: currentColor;
  line-height: 1;
  flex-shrink: 0;
  max-width: initial;
}

/* component */
.menu {
  --menu-vertical-gap: 4px;
  /* vertical gap between the Menu element and its control */
  --menu-item-padding: var(--mw1-space-3xs) var(--mw1-space-xs);
  list-style: none;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  position: fixed;
  /* top/left position set in JS */
  z-index: 5;
  width: 220px;
  background-color: hsl(var(--mw1-color-bg-light-hsl));
  box-shadow: inset 0 0 0.5px 1px hsla(0, 0%, 100%, 0.075), 0 0.9px 1.5px rgba(0, 0, 0, 0.03),0 3.1px 5.5px rgba(0, 0, 0, 0.08),0 14px 25px rgba(0, 0, 0, 0.12);
  padding: var(--mw1-space-2xs) 0;
  border-radius: 0.25em;
  margin-top: var(--menu-vertical-gap);
  margin-bottom: var(--menu-vertical-gap);
  overflow: auto;
  /* use rem units */
  --space-unit: 1rem;
  --text-unit: 1rem;
  font-size: var(--text-unit);
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s 0.2s, opacity 0.2s;
}

.menu--is-visible {
  visibility: visible;
  opacity: 1;
  transition: visibility 0s, opacity 0.2s;
}

.menu--overlay {
  z-index: 15;
}

.menu__content {
  display: flex;
  align-items: center;
  padding: var(--menu-item-padding);
  text-decoration: none;
  /* reset link style */
  color: hsl(var(--mw1-color-contrast-high-hsl));
  cursor: pointer;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  transition: 0.2s;
}
.menu__content:hover {
  background-color: hsla(var(--mw1-color-contrast-higher-hsl), 0.075);
}
.menu__content:focus {
  outline: none;
  background-color: hsla(var(--mw1-color-primary-hsl), 0.15);
}

.menu__label {
  padding: var(--menu-item-padding);
  font-size: var(--mw1-text-sm);
  color: hsl(var(--mw1-color-contrast-medium-hsl));
}

.menu__separator {
  height: 1px;
  background-color: hsl(var(--mw1-color-contrast-lower-hsl));
  margin: var(--menu-item-padding);
}

.menu__icon {
  color: hsla(var(--mw1-color-contrast-higher-hsl), 0.5);
  margin-right: var(--mw1-space-2xs);
}